@import url('https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.7.1/css/all.min.css');

body {
  font-family: 'Poppins', sans-serif;
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100vh;
  background-color: #f4f4f4;
  text-align: center;
  color: #333;
}

header h1 {
  font-size: 3rem;
  margin: 0;
  font-weight: 600;
}

header .subtitle {
  font-size: 1.5rem;
  color: #777;
  margin: 0;
  font-weight: 300;
}

.profile-container {
  margin-top: 5rem;
  padding: 2rem;
  border: 2px solid #ccc;
  border-radius: 15px;
  background-color: white;
  max-width: 400px;
  /* box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1); */
  position: relative;
}

.profile-image {
  width: 120px;
  height: 120px;
  border-radius: 50%;
  margin: 0 auto;
  object-fit: cover;
  display: block;
  position: absolute;
  top: -60px;
  left: 50%;
  transform: translateX(-50%);
  /* border: 4px solid white; */
}

.social-icons {
  display: flex;
  justify-content: center;
  gap: 1rem;
  margin-top: 5rem; /* Adjusted for spacing below the profile image */
}

.social-icons a {
  text-decoration: none;
  color: #555;
  font-size: 1.5rem;
  transition: transform 0.3s, color 0.3s;
}

.social-icons a:hover {
  /* transform: scale(1.2); */
  color: #007bff;
}

.social-icons a.facebook:hover {
  color: #3b5998;
}

.social-icons a.x:hover {
  color: #000;
}

.social-icons a.instagram:hover {
  color: #e4405f;
}

.social-icons a.threads:hover {
  color: #000;
}

.social-icons a.bluesky:hover {
  color: #1185fe;
}

.social-icons a.discord:hover {
  color: #5865f2;
}

.social-icons a.lastfm:hover {
  color: #d92323;
}

.social-icons a.github:hover {
  color: #333;
}
